//
//  ProductListWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class ProductListWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "ProductList", bundle: nil)

    // MARK: - Module setup -

    init() {
        let moduleViewController = storyboard.instantiateViewController(ofType: ProductListViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = ProductListInteractor()
        let presenter = ProductListPresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension ProductListWireframe: ProductListWireframeInterface {
    func navigate(to option: ProductListNavigationOption) {
        switch option {
        case let .productInfoEditting(style):
            let wireframe = ProductInfoEditingWireframe(style: style)
            navigationController?.pushWireframe(wireframe)
        }
    }
}
